## org.apache.batik.dom.svg
Class AbstractSVGTransformList.TransformListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGTransformList.TransformListBuilder

All Implemented Interfaces:
  TransformListHandler

Enclosing class:
  AbstractSVGTransformList

protected class AbstractSVGTransformList.TransformListBuilder
extends java.lang.Object
implements TransformListHandler

Helper class to interface the `PointsParser` and the `ListHandler`

Field Summary
`protected ListHandler` `listHandler` list handler.

Constructor Summary
`AbstractSVGTransformList.TransformListBuilder(ListHandler listHandler)`

Method Summary
`void` `endTransformList()` Invoked when the transform ends.
`void` `matrix(float a, float b, float c, float d, float e, float f)` Invoked when 'matrix(a, b, c, d, e, f)' has been parsed.
`void` `rotate(float theta)` Invoked when 'rotate(theta)' has been parsed.
`void` `rotate(float theta, float cx, float cy)` Invoked when 'rotate(theta, cx, cy)' has been parsed.
`void` `scale(float sx)` Invoked when 'scale(sx)' has been parsed.
`void` `scale(float sx, float sy)` Invoked when 'scale(sx, sy)' has been parsed.
`void` `skewX(float skx)` Invoked when 'skewX(skx)' has been parsed.
`void` `skewY(float sky)` Invoked when 'skewY(sky)' has been parsed.
`void` `startTransformList()` Invoked when the tranform starts.
`void` `translate(float tx)` Invoked when 'translate(tx)' has been parsed.
`void` `translate(float tx, float ty)` Invoked when 'translate(tx, ty)' has been parsed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

  list handler.

Constructor Detail

### AbstractSVGTransformList.TransformListBuilder

    public AbstractSVGTransformList.TransformListBuilder(ListHandler listHandler)

Method Detail

### startTransformList

    public void startTransformList()
                            throws ParseException

  Description copied from interface: `TransformListHandler`
  Invoked when the tranform starts.

  Specified by:
    `startTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### matrix

    public void matrix(float a,
                       float b,
                       float c,
                       float d,
                       float e,
                       float f)
                throws ParseException

  Invoked when 'matrix(a, b, c, d, e, f)' has been parsed.

  Specified by:
    `matrix` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta)
                throws ParseException

  Invoked when 'rotate(theta)' has been parsed.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta,
                       float cx,
                       float cy)
                throws ParseException

  Invoked when 'rotate(theta, cx, cy)' has been parsed.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx)
                   throws ParseException

  Invoked when 'translate(tx)' has been parsed.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx,
                          float ty)
                   throws ParseException

  Invoked when 'translate(tx, ty)' has been parsed.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx)
               throws ParseException

  Invoked when 'scale(sx)' has been parsed.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx,
                      float sy)
               throws ParseException

  Invoked when 'scale(sx, sy)' has been parsed.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewX

    public void skewX(float skx)
               throws ParseException

  Invoked when 'skewX(skx)' has been parsed.

  Specified by:
    `skewX` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewY

    public void skewY(float sky)
               throws ParseException

  Invoked when 'skewY(sky)' has been parsed.

  Specified by:
    `skewY` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### endTransformList

    public void endTransformList()
                          throws ParseException

  Invoked when the transform ends.

  Specified by:
    `endTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

Copyright © 2004 Apache Software Foundation. All Rights Reserved.